require 'rails/generators/active_record'

module StarkitBanking
  # Migration generator that creates migration file from template
  class MigrationsGenerator < ActiveRecord::Generators::Base
    source_root File.expand_path("../templates", __FILE__)

    argument :name, :type => :string, :default => 'create_api_steps'
    # Create migration in project's folder
    def generate_files
      migration_template 'api_step.rb', "db/migrate/#{name}.rb"
    end
  end
end
