module StarkitBanking
  module Payment
    class Activity
      
      def self.exec
      end
      
      def self.do(payment)
        if payment.payment_account.bank_name = "YBL"
          if payment.transfer_type = "IMT"
            subscription = payment.payment_account.service_subscriptions.find_by(service_name: Finance::ServiceSubscription::IMT_TRANSFER)
            x = StarkitBanking::Payment::ByIMT.new(payment.transfer_type, subscription, credentials)
          else
            subscription = payment.payment_account.service_subscriptions.find_by(service_name: Finance::ServiceSubscription::FUNDS_TRANSFER)
            x = StarkitBanking::Payment::ByFT2.new(payment.transfer_type, subscription, credentials)
          end        
        end
      end
    end
  end
end

credentials = Finance::ApiBankingCred.find_by(environment: 'UAT', bank_name: payment.payment_account.bank_name, star_id: payment.payment_account.star_id)
x = StarkitBanking::Payment::ByFT2.new(subscription, credentials)
x.exec(payment)