require 'active_support/concern'

module StarkitBanking
  module ApiStepConcern

    module InstanceMethods
      attr_accessor :api_step

      def save_api_step
        api_step.save! if api_step
      end
    end

    def self.included(base)
      base.send :include, InstanceMethods
      # base.after_commit :save_api_step
      # base.after_rollback :save_api_step
    end
  end
end
